Commit 7587f1d1 authored by Martyn Welch's avatar Martyn Welch

Avoid config tweaks being applied multiple times

Check to see whether tweaks have alreadyt been performed to config files
before adding, else they will get applied multiple times if the build
directory already exists.
Signed-off-by: Martyn Welch's avatarMartyn Welch <martyn.welch@collabora.co.uk>
parent be5bbb3e
......@@ -21,25 +21,31 @@ then
exit 1
fi
echo "BBLAYERS += \" ${CWD}/meta-openembedded/meta-oe\"" >> conf/bblayers.conf
LAYERS=("meta-openembedded/meta-oe" "meta-vmeutils")
for LAYER in ${LAYERS[@]}
do
grep "${LAYER}" conf/bblayers.conf 1>/dev/null
if [ "$?" != "0" ]
then
echo "BBLAYERS += \" ${CWD}/${LAYER}\"" >> conf/bblayers.conf
if [ "$?" != "0" ]
then
echo "Failed to add ${LAYER} to bblayers.conf" >&2
exit 1
fi
fi
done
grep "PREFERRED_PROVIDER_virtual/kernel" conf/bblayers.conf 1>/dev/null
if [ "$?" != "0" ]
then
echo "Failed to add meta-oe to bblayers.conf" >&2
exit 1
fi
echo "BBLAYERS += \" ${CWD}/meta-vmeutils\"" >> conf/bblayers.conf
if [ "$?" != "0" ]
then
echo "Failed to add meta-vmeutils to bblayers.conf" >&2
exit 1
fi
echo "PREFERRED_PROVIDER_virtual/kernel = \"linux-yocto-vme\"" >> conf/local.conf
if [ "$?" != "0" ]
then
echo "Failed to add preferred kernel to local.conf" >&2
exit 1
echo "PREFERRED_PROVIDER_virtual/kernel = \"linux-yocto-vme\"" >> conf/local.conf
if [ "$?" != "0" ]
then
echo "Failed to add preferred kernel to local.conf" >&2
exit 1
fi
fi
export MACHINE="qemux86-64"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment